void draw()
{ 
  background(255);
  pushMatrix();
  pushStyle();
  
  Integer boxStartingX = 160;
  Integer boxStartingY = 150;
  Integer boxWidth = MonthCount*9+MonthCount;
  Integer boxHeight = 545;
  Integer barWidth = boxWidth / MonthCount;
  
  int nColor = 0;
  int nAlpha = 0;
  
  // Title and such
  fill(0);
  textFont(gFont2);
  textAlign(RIGHT, TOP);
  text("What is Seattle's interest in important political issues?", 30, 30, boxStartingX+boxWidth-40, 30 ); 
  line(400, 65, 990, 65);
  textFont(gFont1);
  fill(200);
  text("Project 2", 30, 70, boxStartingX+boxWidth-40, 70);
  text("by Galen Stocking", 30, 85, boxStartingX+boxWidth-40, 85);
  
  // list of years 
  for(int i = 0; i<7; i++) {
   //stroke(255);
   textFont(gFont1);
   textSize(14);
   fill(0);
   textAlign(CENTER, CENTER);   
   text(years[i], (i*(barWidth*12))+180, height-50);
   }
 
    // list of issues
    int issueColor = 255/(IssueCount+1);
    int temp = 0;
   for(int i = IssueCount-1; i>0; i--) {
     textFont(gFont1);
     textSize(14);
     fill(0);
     textAlign(LEFT, LEFT);
     text(issues[i], 30, (i*21)+boxStartingY+10);
     colorMode(RGB, 360, 255, 255, 255);
     fill(color1[temp], color2[temp], color3[temp], 255);
     rect(10, (i*21)+boxStartingY, 15, 15);
     temp++;
   }
   
   // Draw box
   colorMode(RGB, 255, 255, 255);
   fill(255);
   stroke(0);
   rect(boxStartingX, boxStartingY, boxWidth, 550);
   
   // Draw issue bars
   int barCount = 0;
   for (int y = 0; y < 7; y++)
   {
     for (int m = 0; m < 12; m++)
     {
       int totalCount = GetTotal(y, m);
       int StartingY = 700;
       int StartingX = 161 + (barWidth * barCount); 
       barCount++;
       for (int i = 0; i < IssueCount; i++)
       {
         int iCount = gpDataMatricesCount[i][y][m];
         Float iDuration = gpDataMatricesAvgDuration[i][y][m];
//         nColor = (int)((float)iCount/(float)gpMaxCount*255.0f);
         nAlpha =  (int)((float)iDuration/(float)gpMaxDuration*155.0f)+100;
         colorMode(RGB, 360, 255, 255, 255);
         fill(color1[i], color2[i], color3[i], nAlpha);
         stroke(color1[i], color2[i], color3[i], 125);
         
         float barHeight = (float)iCount/totalCount * boxHeight;
         println("StartingX = " + StartingX);
         if (i == IssueCount-1)
         {
           int diff = StartingY-(int)barHeight - boxHeight - boxStartingY;
           println("StartingY = " + StartingY + ", barHeight = " + barHeight + ", boxHeight = " + boxHeight + ", boxStartingY = " + boxStartingY);
           println("Last one: " + diff);
           rect(StartingX, boxStartingY, barWidth, StartingY-boxStartingY);
         }
         else
         {
           rect(StartingX, StartingY-barHeight, barWidth, barHeight);
         }
         StartingY = StartingY - (int)barHeight-1;
       }
     }
   }
   
   popMatrix();
   popStyle();
   println("done drawing");
}


